package com.tofly.base.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.base.entity.Menu;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author fcl
 * @date 2021/4/7 13:13
 */
@Data
public class SystemMenuVO {

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 子系统id
     */
    @ApiModelProperty(value = "子系统id")
    private String sysid;
    /**
     * 子系统名称
     */
    @ApiModelProperty(value = "子系统名称")
    private String label;

    @ApiModelProperty(value = "子系统类型")
    private String type;

    @ApiModelProperty(value = "系统备注")
    private String notes;

    /**
     * 登录时显示图标
     */
    @ApiModelProperty(value = "登录时显示图标")
    private String loginIcon;
    /**
     * 鼠标经过显示图标
     */
    @ApiModelProperty(value = "登录时鼠标经过显示图标")
    private String LoginMouseIcon;

    /**
     * 所属平台
     */
    @ApiModelProperty(value = "所属平台1BS2CS")
    private String platform;

    List<Menu> childrens;

    @ApiModelProperty(value = "所属系统，可获取字典")
    private String belong;
}
