package com.tofly.dict.entity;


import com.baomidou.mybatisplus.annotation.*;
import com.tofly.dict.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统字典
 * @TableName SYS_DICT
 */
@TableName(value ="SYS_DICT",resultMap = "BaseResultMap")
@KeySequence("SYS_DICT")
@Data
public class SysDict implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 父级ID
     */
    @ApiModelProperty(value = "父级ID")
    private Long pid;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String code;

    /**
     * 字典名称
     */
    @ApiModelProperty(value = "字典名称")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String name;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

    /**
     * 数据值
     */
    @ApiModelProperty(value = "数据值")
    private String value;

    /**
     * 状态：0禁用，1激活
     */
    @ApiModelProperty(value = "状态：0禁用，1激活")
    private Integer active;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 租户名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "租户名称",hidden = true)
    private String tenantName;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}