package com.tofly.dict.entity.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* 系统字典
* @TableName SYS_DICT
*/
@Data
public class DictDto extends BaseDto implements Serializable {

    /**
     * 主键ID
     */
    @NotNull(message="[ID]不能为空",groups = Update.class)
    @ApiModelProperty("主键ID")
    private Long id;
    /**
    * 父级ID
    */
    @ApiModelProperty("父级ID")
    private Long pid;
    /**
    * 编码
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("编码")
    @Length(max= 255,message="编码长度不能超过255")
    private String code;
    /**
    * 字典名称
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("字典名称")
    @Length(max= 255,message="编码长度不能超过255")
    private String name;
    /**
    * 描述
    */
    @Size(max= 500,message="编码长度不能超过500")
    @ApiModelProperty("描述")
    @Length(max= 500,message="编码长度不能超过500")
    private String describe;
    /**
    * 数据值
    */
    @Size(max= 600,message="编码长度不能超过600")
    @ApiModelProperty("数据值")
    @Length(max= 600,message="编码长度不能超过600")
    private String value;
    /**
    * 状态：0禁用，1激活
    */
    @NotNull(message="[状态：0禁用，1激活]不能为空")
    @ApiModelProperty("状态：0禁用，1激活")
    private Integer active;
    /**
    * 租户ID
    */
    @ApiModelProperty("租户ID")
    private Long tenantId;
    /**
    * 排序
    */
    @ApiModelProperty("排序")
    private Long sort;

}
