package com.tofly.xrtygis.custom.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class WisdomDisplayDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String model;

    private String type;

    private Integer callType;

    private String fillingType;

    private String deviceType;

    private List<String> deviceCodes;

    private List<String> statusList;

    private List<String> connectIds;

    private String dataType;

    private String censusDateType;

    private Integer statisticsType;

    private List<Long> dmaLevel;

    private List<Long> indexId;

    private List<String> indexCodes;

    private List<String> indexTypes;

    private List<Long> deviceIds;

    private Integer dmaLevelOne;

    private List<Long> deviceId;

    private String dmaName;

    private List<Long> ids;

    private String startDate;

    private String endDate;

    private String startYear;

    private String endYear;

    private String startMonth;

    private String endMonth;

    private String startDay;

    private String endDay;

    private String startHour;

    private String endHour;

    private List<String> censusMonths;

    private String censusDate;

    private String censusYear;

    private String censusMonth;

    private String censusDay;

    private String censusHour;

    private List<Long> dmaId;

    private Long dmaIdOne;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "是否导出 0不导出,1导出")
    private String export;

    @ApiModelProperty(value = "统计类型 0日,1汇总查询范围(日),2月份")
    private String totalType;

    @ApiModelProperty(value = "校区名称")
    private String schoolName;

}
