package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 供水关键指标展示Vo
 * @author JF
 * @date 2022/5/7 14:09
 */
@Data
public class WaterCruxIndexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 总供水用户数量
     */
    @ApiModelProperty(value = "总供水用户数量")
    private Integer supplyWaterUsers;

    /**
     * 总制水量（万吨）
     */
    @ApiModelProperty(value = "总制水量（万吨）")
    private BigDecimal totalWaterSupply;

    /**
     * 管网总长度
     */
    @ApiModelProperty(value = "管网总长度")
    private BigDecimal pipeLength;

    /**
     * 设计供水能力（万吨）
     */
    @ApiModelProperty(value = "设计供水能力（万吨）")
    private BigDecimal designProcessingCapacity;

    /**
     * 一二期设计供水能力（万吨）
     */
    @ApiModelProperty(value = "一二期设计供水能力（万吨）")
    private BigDecimal otDesignProcessingCapacity;

    /**
     * 三期设计供水能力（万吨）
     */
    @ApiModelProperty(value = "三期设计供水能力（万吨）")
    private BigDecimal tDesignProcessingCapacity;

    /**
     * 今年供水量（万吨）
     */
    @ApiModelProperty(value = "今年供水量（万吨）")
    private BigDecimal yearSupplyWater;

    /**
     * 昨日供水量（万吨）
     */
    @ApiModelProperty(value = "昨日供水量（万吨）")
    private BigDecimal yesterdaySupplyWater;

    /**
     * 昨日取水量（万吨）
     */
    @ApiModelProperty(value = "昨日取水量（万吨）")
    private BigDecimal yesterdayUserWater;

    /**
     * 昨日漏损率（%）
     */
    @ApiModelProperty(value = "昨日漏损率（%）")
    private Float yesterdayLeakRate;

    /**
     * 当月漏损率（%）
     */
    @ApiModelProperty(value = "当月漏损率（%）")
    private Float monthLeakRate;

    /**
     * 当年漏损率（%）
     */
    @ApiModelProperty(value = "当年漏损率（%）")
    private Float yearLeakRate;

    /**
     * 供水量同比增长率
     */
    @ApiModelProperty(value = "供水量同比增长率")
    private Float yearOnYearRateWaterSupply;

    /**
     * 供水量同比增长值（万吨）
     */
    @ApiModelProperty(value = "供水量同比增长值（万吨）")
    private BigDecimal yearOnYearValueWaterSupply;

    /**
     * 售水量同比增长率
     */
    @ApiModelProperty(value = "售水量同比增长率")
    private Float yearOnYearRateUserWater;

    /**
     * 售水量同比增长值（万吨）
     */
    @ApiModelProperty(value = "售水量同比增长值（万吨）")
    private BigDecimal yearOnYearValueUserWater;

    /**
     * 电耗同比增长率
     */
    @ApiModelProperty(value = "电耗同比增长率")
    private Float yearOnYearRatePower;

    /**
     * 电耗同比增长值
     */
    @ApiModelProperty(value = "电耗同比增长值")
    private BigDecimal yearOnYearValuePower;

    /**
     * 药耗同比增长率
     */
    @ApiModelProperty(value = "药耗同比增长率")
    private Float yearOnYearRateDrug;

    /**
     * 药耗同比增长值
     */
    @ApiModelProperty(value = "药耗同比增长值")
    private BigDecimal yearOnYearValueDrug;

    /**
     * 近一年漏损率
     */
    @ApiModelProperty(value = "近一年漏损率")
    private Double nearYearLeakRate;

    /**
     * 近三年漏损率
     */
    @ApiModelProperty(value = "近三年漏损率")
    private Double nearThreeYearLeakRate;

    /**
     * 近一年产销差
     */
    @ApiModelProperty(value = "近一年产销差")
    private Double nearYearNrw;

    /**
     * 安全生产天数
     */
    @ApiModelProperty(value = "安全生产天数")
    private Integer safeMakeDays;

    /**
     * 加压站数量
     */
    @ApiModelProperty(value = "加压站数量")
    private Integer pressStationAmount;

    /**
     * 制水厂数量
     */
    @ApiModelProperty(value = "制水厂数量")
    private Integer waterPlantAmount;

    /**
     * 视频监控
     */
    @ApiModelProperty(value = "视频监控")
    private Integer cameraMonitorAmount;

    /**
     * 管网水质监测点
     */
    @ApiModelProperty(value = "管网水质监测点")
    private Integer pipeWaterMonitorAmount;

    /**
     * 管网压力监测点
     */
    @ApiModelProperty(value = "管网压力监测点")
    private Integer pipePressMonitorAmount;

    /**
     * 流量监测点
     */
    @ApiModelProperty(value = "流量监测点")
    private Integer flowMonitorAmount;

    /**
     * 噪音检测仪
     */
    @ApiModelProperty(value = "噪音检测仪")
    private Integer noiseCheckAmount;

    /**
     * 设备完好率（%）
     */
    @ApiModelProperty(value = "设备完好率（%）")
    private Float deviceIntactRate;

    /**
     * 水质合格率（%）
     */
    @ApiModelProperty(value = "水质合格率（%）")
    private Float waterQualityRate;

    /**
     * 管网总表数量
     */
    @ApiModelProperty(value = "管网总表数量")
    private Integer pipeTableAmount;

    /**
     * ILI漏损指数
     */
    @ApiModelProperty(value = "ILI漏损指数")
    private BigDecimal ILILeakageIndex;

    /**
     * 巡检人员数量
     */
    @ApiModelProperty(value = "巡检人员数量")
    private Integer inspectPersonNum;

    /**
     * 当月工单总数
     */
    @ApiModelProperty(value = "当月工单总数")
    private Integer cmOrderNum;

    /**
     * 当月正在处理工单数
     */
    @ApiModelProperty(value = "当月正在处理工单数")
    private Integer cmHandleOrderNum;

    /**
     * 当月工单完成率
     */
    @ApiModelProperty(value = "当月工单完成率")
    private Float cmCompleteOrderRate;

    /**
     * 近一年巡检次数
     */
    @ApiModelProperty(value = "近一年巡检次数")
    private Integer yearInspectNum;

    /**
     * 近一年工单总数
     */
    @ApiModelProperty(value = "近一年工单总数")
    private Integer yearOrderNum;

    /**
     * 近一年工单完成率
     */
    @ApiModelProperty(value = "近一年工单完成率")
    private Float yearCompleteOrderRate;

    /**
     * 近一年巡检公里数
     */
    @ApiModelProperty(value = "近一年巡检公里数")
    private BigDecimal yearInspectDistance;

    /**
     * 近一年发现隐患次数
     */
    @ApiModelProperty(value = "近一年发现隐患次数")
    private Integer yearFindTroubleNum;

    /**
     * 上一年热线来电数量
     */
    @ApiModelProperty(value = "上一年热线来电数量")
    private Integer lastYearHotLineInNum;

    /**
     * 今年热线来电数量
     */
    @ApiModelProperty(value = "今年热线来电数量")
    private Integer thisYearHotLineInNum;

    /**
     * 上一年热线去电数量
     */
    @ApiModelProperty(value = "上一年热线去电数量")
    private Integer lastYearHotLineOutNum;

    /**
     * 今年热线去电数量
     */
    @ApiModelProperty(value = "今年热线去电数量")
    private Integer thisYearHotLineOutNum;

    /**
     * 今年热线好评率
     */
    @ApiModelProperty(value = "今年热线好评率")
    private Float hotLinePraiseRate;

    /**
     * 上一年热线好评率
     */
    @ApiModelProperty(value = "上一年热线好评率")
    private Float lastYearHotLinePraiseRate;

    /**
     * 年度用煤当量（吨）
     */
    @ApiModelProperty(value = "年度用煤当量（吨）")
    private Double standardCoalYear;

}
