/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 线路信息表
 *
 * @author JF
 * @date Tue Aug 01 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_LINE_INFO",resultMap = "tfLineInfoMap")
@KeySequence("TF_LINE_INFO")
@ApiModel
public class TfLineInfo extends Model<TfLineInfo> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 父级ID
     */
            @ApiModelProperty(value = "父级ID")
                private Long parentId;
                /**
     * 名称
     */
            @ApiModelProperty(value = "名称")
                private String name;
                /**
     * 编码
     */
            @ApiModelProperty(value = "编码")
                private String code;
                /**
     * 入库时间
     */
            @ApiModelProperty(value = "入库时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
    /**
     * 子列表
     */
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<Long> deviceIds;
    /**
     * 子列表
     */
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<TfLineInfo> children;
            
}
