package com.tofly.xrtygis.entity.vo.home.monitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 指标
 */
@Data
public class IndexInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指标id")
    private Long indexId;

    @ApiModelProperty(value = "指标名称")
    private String indexName;

    @ApiModelProperty(value = "排序序号")
    private String sortNumber;

    @ApiModelProperty(value = "指标归属")
    private String indexType;

    @ApiModelProperty(value = "指标类型")
    private String model;

    @ApiModelProperty(value = "指标类型名称")
    private String modelName;

    @ApiModelProperty(value = "指标归属名称")
    private String indexTypeName;

    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "采集值")
    private BigDecimal flow;

    @ApiModelProperty("采集时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date time;

    @ApiModelProperty(value = "阈值上限 若未设置则为空")
    private BigDecimal normUp;

    @ApiModelProperty(value = "阈值下限 若未设置则为空")
    private BigDecimal normDown;

    @ApiModelProperty(value = "设备状态 0 正常 1报警 2离线")
    private String flag;

    @ApiModelProperty(value = "是否展示 0否 1是")
    private String isDisplay;

}
