package com.tofly.xrtygis.entity.vo.home.monitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 在线监控(设备监测列表)
 */
@Data
public class SiteListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备id")
    private Long siteId;

    @ApiModelProperty(value = "设备名称")
    private String siteName;

    @ApiModelProperty(value = "设备类型")
    private String type;

    @ApiModelProperty(value = "设备类型名称")
    private String typeName;

    @ApiModelProperty(value = "经度")
    private String x;

    @ApiModelProperty(value = "维度")
    private String y;

    @ApiModelProperty(value = "指标监测数据")
    List<IndexInfoVo> indexInfoVoList;

    @ApiModelProperty("更新时间(指标最大time)")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date time;

    @ApiModelProperty(value = "设备状态 0 正常 1报警 2离线")
    private String flag;


}
