package com.tofly.xrtygis.entity.vo.home.workbench;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 工作台(今日夜间最小流量报警点数/年度供水总量/同比上一年涨的趋势百分比)
 */
@Data
public class ModuleTitleVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "夜间报警点数统计日期")
    private String minimumFlowDay;

    @ApiModelProperty(value = "夜间最小流量报警点数")
    private Integer minimumFlowAlarmNum;

    @ApiModelProperty(value = "统计年份")
    private String year;

    @ApiModelProperty(value = "年度供水总量")
    private BigDecimal waterSupply;

    @ApiModelProperty(value = "同比统计年份")
    private String comparedYear;

    @ApiModelProperty(value = "同比年度供水总量")
    private BigDecimal comparedSupply;

    @ApiModelProperty(value = "同比上一年涨的趋势百分比")
    private BigDecimal trendUpRate;
}
