/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.message.Messagepush;
import com.tofly.pojo.message.Messagerecipient;
import com.tofly.xrtygis.custom.entity.vo.MinFlowErrorAnalyseVo;
import com.tofly.xrtygis.entity.Dmanightflow;
import com.tofly.xrtygis.entity.dto.DmanightflowCountDto;
import org.apache.ibatis.annotations.Param;


import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 夜间最小流量分析表
 *
 * @author wangjieliu
 * @date Tue May 25 00:00:00 CST 2021
 */
public interface DmanightflowMapper extends BaseMapper<Dmanightflow> {
    IPage<Map> getMinFlowCollet(@Param("ids") String tableIds, @Param("start") Date startDate, @Param("end") Date endDate,@Param("isState") String isState,Page page);

    List<Map> getMinFlowDetail(@Param("ids") String tableIds, @Param("start") Date startDate, @Param("end") Date endDate,@Param("isState") String isState);

    IPage<Map> getMinFlowDetailPage(@Param("ids") String tableIds, @Param("start") Date startDate, @Param("end") Date endDate, Page page,@Param("isState") String isState);

    List<Dmanightflow> getFlowList(@Param("startTime") Date startTime,
                                   @Param("endTime") Date endTime,
                                   @Param("numType")String numType);

    List<Dmanightflow> getPressureList(@Param("startTime") Date startTime,
                                       @Param("endTime") Date endTime);

    // 获取对应表的自增长
    Long getPlanTempMaxId(@Param("tableName") String tableName);

    List<Long> getUserIdList();

    void addMessageList(@Param("list")List<Messagepush> list );

    void addMessageRecipientList(@Param("list")List<Messagerecipient> list);

    /**
     * 夜间频次分页查询
     * @param page
     * @param dmanightflow
     * @return
     */
    List<Map<String,Object>> getDmanightflowPageCount(Page page,@Param("dmanightflow") DmanightflowCountDto dmanightflow);

    /**
     * 夜间频次查询
     * @param page
     * @param dmanightflow
     * @return
     */

    Page<Map<String,Object>> getDmanightflowPage(Page page,@Param("dmanightflow") DmanightflowCountDto dmanightflow);

    /**
     * 夜间频次按时间排序分组查询
     * @param page
     * @param dmanightflow
     * @return
     */
    List<Map<String,Object>> getDmanightflowCountStats(Page page,@Param("dmanightflow") DmanightflowCountDto dmanightflow);

    /**
     * 夜间频次按时间排序分组查询
     * @param page
     * @param dmanightflow
     * @return
     */
    Page<Map<String,Object>> getDmanightflowPageStats(Page page,@Param("dmanightflow") DmanightflowCountDto dmanightflow);

    List<MinFlowErrorAnalyseVo> minFLowErrorAnalyse(@Param("tableIdList") List<Long> tableIdList,
                                                    @Param("startDay") String startDay,
                                                    @Param("endDay") String endDay);
}
