/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.custom.entity.dma.ConstomTableList;
import com.tofly.xrtygis.custom.entity.vo.MinFlowErrorAnalyseVo;
import com.tofly.xrtygis.entity.Dmanightflow;
import com.tofly.xrtygis.entity.dto.DmanightflowCountDto;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 夜间最小流量分析表
 *
 * @author wangjieliu
 * @date Tue May 25 00:00:00 CST 2021
 */
public interface DmanightflowService extends IService<Dmanightflow> {

    IPage<Map> getMinFlow(HttpServletResponse response, String tableIds, String startTime, String endTime, String flag, String templateFlag, String isState,Page page);

    List<MinFlowErrorAnalyseVo> minFLowErrorAnalyse(String tableIds, String startDay, String endDay);

    List<Dmanightflow> minFLowAnalyse(Long tableId, String queryType, String startDay, String endDay);

    ConstomTableList getTableTree(String isFlow);

    /**
     * 2:00-4:00 夜间最小流量分析
     * @return
     */
    Boolean nightMinimumFlowAnalysis(Date date);

    /**
     * 夜间频次分页查询
     * @param page 夜间频次分页查询
     * @param dmanightflow 夜间最小流量分析表
     * @return
     */
    Object getDmanightflowPageCount(Page page, DmanightflowCountDto dmanightflow);

    /**
     * 夜间频次时间段分组查询
     * @param page 夜间频次时间段分组查询
     * @param dmanightflow 夜间最小流量分析表
     * @return
     */
    Object getDmanightflowCountStats(Page page, DmanightflowCountDto dmanightflow);
}
