package com.tofly.xrtygis.service.home;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.vo.home.monitor.InstantaneousInfoVo;
import com.tofly.xrtygis.entity.vo.home.monitor.SiteListVo;
import com.tofly.xrtygis.entity.vo.home.monitor.WaterTimeFlowVo;
import com.tofly.xrtygis.entity.vo.home.monitor.WaterTimeTotalVo;

import java.util.List;

public interface OnlineMonitorService {

    /**
     * 获取监测设备列表
     * @param type
     * @param siteName
     * @param state
     * @return
     */
    List<SiteListVo> getSiteList(String type,String siteName,String state);

    /**
     * 根据指标类型,id获取监测信息详情
     * @param type
     * @param code
     * @return
     */
    List<InstantaneousInfoVo> getMonitorInfo(String type,String code);

    /**
     * 分水用时列表
     * @param code
     * @param startDate
     * @param endDate
     * @return
     */
    List<WaterTimeTotalVo> getWaterTimeTotal(String code, Long areaId,String collectId,String startDate, String endDate, String startTime, String endTime);

    /**
     * 分水用时用详情
     * @param page
     * @param code
     * @param startDate
     * @param endDate
     * @param flag
     * @param isTotal
     * @param dataGroup
     * @return
     */
    Object getWaterTimeFlowDetail(Page page, String code, Long areaId,String collectId,String startDate, String endDate,String startTime,String endTime,String flag,String isTotal,Integer dataGroup);
}
