package com.tofly.xrtygis.service.home;

import com.tofly.xrtygis.entity.vo.home.workbench.*;

import java.util.List;

public interface WorkbenchService {
    /**
     * 获取今日夜间最小流量报警点数/年度供水总量/同比上一年涨的趋势百分比
     * @param minimumFlowDay
     * @param day
     * @return
     */
    ModuleTitleVo getModuleTitle(String minimumFlowDay, String day);

    /**
     * 获取指定年月份供水总量排行榜
     * @param yearMonth
     * @return
     */
    WaterSupplyRankingVo getWaterSupplyRanking(String yearMonth);

    /**
     * 获取指定年月日夜间最小流量监测排行榜
     * @param day
     * @return
     */
    MinimumFlowRankingVo getMinimumFlowRanking(String day);

    /**
     * 获取指定年累计供水量统计
     * @param yearMonth
     * @return
     */
    List<WaterSupplyAccumulativeVo> getWaterSupplyAccumulative(String yearMonth);

    /**
     * 获取指定年每月供水量统计
     * @param yearMonth
     * @return
     */
    List<WaterSupplyMonthVo> getWaterSupplyMonth(String yearMonth);

    /**
     * 获取指定年月日近15天监测点夜间最小流量状态
     * @param day
     * @return
     */
    List<MinimumFlowStateVo> getMinimumFlowState(String day);
}
