package com.tofly.building.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * 楼栋用电用水报告月份表(BuildingReportMouth)表实体类
 *
 * @author HaiQiu
 * @since 2023-03-20 09:51:11
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "TF_BUILDING_REPORT_MOUTH", resultMap = "BuildingReportMouthMap")
@ApiModel(value = "BuildingReportMouth对象", description = "楼栋用电用水报告月份表")
public class BuildingReportMouth extends Model<BuildingReportMouth> implements Serializable {

    private static final long serialVersionUID = -89299971525142985L;

    /**
     * 主键ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 生成时间
     */
    @Excel(name = "生成时间")
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "生成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 接送者邮箱
     */
    @Excel(name = "接送者邮箱")
    @ApiModelProperty(value = "接送者邮箱")
    private String sendMail;
    /**
     * 发送时间
     */
    @Excel(name = "发送时间")
    @ApiModelProperty(value = "发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;
    /**
     * 报告名称
     */
    @Excel(name = "报告名称")
    @ApiModelProperty(value = "报告名称")
    private String name;
    /**
     * 附件
     */
    @Excel(name = "附件")
    @ApiModelProperty(value = "附件")
    private String annex;
    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long sort;
    /**
     * 备注
     */
    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 删除，0未删除，1已删除
     */
    @Excel(name = "删除，0未删除，1已删除")
//    @TableLogic
    @ApiModelProperty(value = "删除，0未删除，1已删除")
    private Boolean deleted;
    /**
     * 时间
     */
    @Excel(name = "时间")
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy年MM月", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;

    /**
     * 报告名称
     */
    @Excel(name = "是否发送：0未发送，1已发送")
    @ApiModelProperty(value = "是否发送")
    private String send;

    /**
     * 报告子集
     */
    @Excel(name = "报告子集")
    @ApiModelProperty(value = "报告子集")
    @TableField(exist = false)
    private List<BuildingReport> reports;


    /**
     * 报告时间查询
     */
    @ApiModelProperty(value = "报告时间查询：yyyy-MM")
    @TableField(exist = false)
    private String reportTime;
}

