package com.tofly.building.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 系统字典
 * @TableName SYS_DICT
 */
@TableName(value ="SYS_DICT")
@Data
public class SysDict implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 父级ID
     */
    private Long pid;

    /**
     * 编码
     */
    private String code;

    /**
     * 字典名称
     */
    private String name;

    /**
     * 描述
     */
    private String describe;

    /**
     * 数据值
     */
    private String value;

    /**
     * 状态：0禁用，1激活
     */
    private Integer active;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 排序
     */
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    private Integer deleted;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 修改人
     */
    private Long updateUser;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}