package com.tofly.building.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * 系统通用码表子级表(SyschildcodeD)表实体类
 *
 * @author HaiQiu
 * @since 2023-03-10 11:21:49
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "TF_YWPN_SYSCHILDCODE_D", resultMap = "SyschildcodeDMap")
@ApiModel(value = "SyschildcodeD对象", description = "系统通用码表子级表")
public class SyschildcodeD extends Model<SyschildcodeD> implements Serializable {

    private static final long serialVersionUID = 412771736584872939L;

    /**
     * 子级节点ID
     */
    @Excel(name = "子级节点ID")
    @ApiModelProperty(value = "子级节点ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 父级节点ID
     */
    @Excel(name = "父级节点ID")
    @ApiModelProperty(value = "父级节点ID")
    private Long pcid;
    /**
     * 父级节点名称
     */
    @Excel(name = "父级节点名称")
    @ApiModelProperty(value = "父级节点名称")
    private String pcname;
    /**
     * 子级节点编码
     */
    @Excel(name = "子级节点编码")
    @ApiModelProperty(value = "子级节点编码")
    private String ccode;
    /**
     * 子级节点名称
     */
    @Excel(name = "子级节点名称")
    @ApiModelProperty(value = "子级节点名称")
    private String cname;
    /**
     * 子级节点内容
     */
    @Excel(name = "子级节点内容")
    @ApiModelProperty(value = "子级节点内容")
    private String ccontert;
    /**
     * 是否显示1显示，0不显示
     */
    @Excel(name = "是否显示1显示，0不显示")
    @ApiModelProperty(value = "是否显示1显示，0不显示")
    private String cdisable;
    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long sort;
    /**
     * 1：系统编码；0：业务编码；
     */
    @Excel(name = "1：系统编码；0：业务编码；")
    @ApiModelProperty(value = "1：系统编码；0：业务编码；")
    private String flag;
}

