package com.tofly.building.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.building.entity.ScadaDeviceArchiveManage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * @author HaiQiu
 * @since 2023/3/6
 */

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "查询对象")
public class ScadaDeviceArchiveManageDto extends ScadaDeviceArchiveManage {

    @ApiModelProperty(value = "开始时间查询")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date start;

    @ApiModelProperty(value = "结束时间查询")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date end;

    @ApiModelProperty(value = "scada指标code查询集合")
    @TableField(exist = false)
    private List<String> scadaCode;

    @ApiModelProperty(value = "所在楼栋ID查询集合")
    @TableField(exist = false)
    private List<Long> buildingCollegeIds;

    /**
     * 统计类型：0小时统计 1天统计 2月统计 3年统计
     */
    @ApiModelProperty(value = "统计类型：0小时统计 1天统计 2月统计 3年统计")
    @TableField(exist = false)
    private Integer statisticsType;


    @ApiModelProperty(value = "去年同比查询开始结束时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private List<Date> yearTime;

    @ApiModelProperty(value = "上月环比查询开始结束时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private List<Date> mouthTime;

    /**
     * 已报警列表数据筛选报警处理数据：是否报警,0否，1是
     */
    @ApiModelProperty(value = "已报警列表数据筛选报警处理数据：是否报警,0否，1是")
    @TableField(exist = false)
    private String alarmReport;


    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    @ApiModelProperty(value = "指标归属(字典码表关联 例如:01 瞬时流量)")
    @TableField(exist = false)
    private String allIndexType;
    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    @ApiModelProperty(value = "指标归属(字典码表关联 例如:01 瞬时流量)")
    @TableField(exist = false)
    private List<String> allIndexTypes;

    @ApiModelProperty(value = "指标编码数组")
    @TableField(exist = false)
    private List<String> codes;


    /**
     * 指标类型（1出口,2入口,3加药）
     */
    @ApiModelProperty(value = "指标类型（1出口,2入口,3加药）")
    @TableField(exist = false)
    private Integer allIndexModel;

    /**
     * 指标名称模糊搜索
     */
    @ApiModelProperty(value = "指标名称模糊搜索")
    @TableField(exist = false)
    private String allIndexName;

    /**
     * 是否绑定了楼栋（0否 1是）
     */
    @ApiModelProperty(value = "是否绑定了楼栋（0否 1是）")
    @TableField(exist = false)
    private String isBinding;

}
