package com.tofly.building.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

/**
 * 系统通用码表子级表(SyschildcodeD)表实体类
 *
 * @author HaiQiu
 * @since 2023-03-10 11:21:50
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SyschildcodeD对象", description = "系统通用码表子级表")
public class SyschildcodeDDto implements Serializable {

    private static final long serialVersionUID = -58014962749287448L;

    /**
     * 子级节点ID
     */
    @Digits(integer = 15, fraction = 0, message = "子级节点ID长度不能超过15")
    @ApiModelProperty(value = "子级节点ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 父级节点ID
     */
    @Digits(integer = 15, fraction = 0, message = "父级节点ID长度不能超过15")
    @ApiModelProperty(value = "父级节点ID")
    private Long pcid;

    /**
     * 父级节点名称
     */
    @Size(max = 33, message = "父级节点名称长度不能超过33")
    @ApiModelProperty(value = "父级节点名称")
    private String pcname;

    /**
     * 子级节点编码
     */
    @Size(max = 16, message = "子级节点编码长度不能超过16")
    @ApiModelProperty(value = "子级节点编码")
    private String ccode;

    /**
     * 子级节点名称
     */
    @Size(max = 33, message = "子级节点名称长度不能超过33")
    @ApiModelProperty(value = "子级节点名称")
    private String cname;

    /**
     * 子级节点内容
     */
    @Size(max = 66, message = "子级节点内容长度不能超过66")
    @ApiModelProperty(value = "子级节点内容")
    private String ccontert;

    /**
     * 是否显示1显示，0不显示
     */
    @Size(max = 0, message = "是否显示1显示，0不显示长度不能超过0")
    @ApiModelProperty(value = "是否显示1显示，0不显示")
    private String cdisable;

    /**
     * 排序
     */
    @Digits(integer = 15, fraction = 0, message = "排序长度不能超过15")
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 1：系统编码；0：业务编码；
     */
    @Size(max = 0, message = "1：系统编码；0：业务编码；长度不能超过0")
    @ApiModelProperty(value = "1：系统编码；0：业务编码；")
    private String flag;

}

