package com.tofly.building.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.common.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author HaiQiu
 * @since 2023/3/17
 */
@Data
public class BuildReporTabletVo implements Serializable {

    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private Integer index;

    /**
     * 区域 属院区(0南校区，1北校区) or 字典获取
     */
    @ApiModelProperty(value = "区域 属院区(0南校区，1北校区) or 字典获取")
    private String area;

    /**
     * 楼栋（房间）名称
     */
    @Excel(name = "楼栋")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    @ApiModelProperty(value = "楼栋（房间）名称")
    private String name;


    /**
     * 指标value
     */
    @ApiModelProperty(value = "指标value")
    private String value;


}
