package com.tofly.building.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.common.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;

import java.io.Serializable;
import java.util.Date;

/**
 * @author HaiQiu
 * @since 2023/3/17
 */
@Data
public class BuildReportVo implements Serializable {


    /**
     * 楼栋ID
     */
    @ApiModelProperty(value = "楼栋ID")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private Integer index;


    /**
     * 楼栋（房间）名称
     */
    @Excel(name = "楼栋")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    @ApiModelProperty(value = "楼栋（房间）名称")
    private String name;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String deviceName;
    /**
     * 所属院区(0南校区，1北校区) or 字典获取
     */
    @Excel(name = "所属院区")
    @ApiModelProperty(value = "所属院区(0南校区，1北校区) or 字典获取")
    private String belongToCollege;

    /**
     * 区域 属院区(0南校区，1北校区) or 字典获取
     */
    @ApiModelProperty(value = "区域 属院区(0南校区，1北校区) or 字典获取")
    private String area;

    /**
     * 指标code
     */
    @ApiModelProperty(value = "指标code")
    private String code;

    /**
     * 指标value
     */
    @ApiModelProperty(value = "指标value")
    private String value;

    /**
     * 指标max
     */
    @ApiModelProperty(value = "指标max")
    private String max;

     /**
     * 指标min
     */
    @ApiModelProperty(value = "指标min")
    private String min;

    /**
     * max-min
     */
    @ApiModelProperty(value = "max-min")
    private String diff;


    /**
     * 指标数据统计时间
     */
    @ApiModelProperty(value = "指标数据统计时间")
    private Date startTime;

    /**
     * 0用水，1用电
     */
    @Excel(name = "0用水，1用电")
    @ApiModelProperty(value = "0用水，1用电")
    private String type;


    /**
     * 0用水，1用电
     */
    @Excel(name = "0用水，1用电")
    @ApiModelProperty(value = "0用水，1用电")
    private String typeName;

    /**
     * 楼栋类型（楼栋（单选码值，0教学楼，1办公楼，2宿舍楼，3商业楼，4食堂.5其他）） or 字典获取
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "楼栋类型（楼栋（单选码值，0教学楼，1办公楼，2宿舍楼，3商业楼，4食堂.5其他）） or 字典获取")
    private String buildingType;

    /**
     * 楼栋类型（楼栋（单选码值，0教学楼，1办公楼，2宿舍楼，3商业楼，4食堂.5其他）） or 字典获取
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "楼栋类型（楼栋（单选码值，0教学楼，1办公楼，2宿舍楼，3商业楼，4食堂.5其他）） or 字典获取")
    private String buildingTypeName;

    /**
     * 统计类型：0小时统计 1天统计 2月统计 3年统计
     */
    @ApiModelProperty(value = "统计类型：0小时统计 1天统计 2月统计 3年统计")
    private Integer statisticsType;

    /**
     * 统计类型：0小时统计 1天统计 2月统计 3年统计
     */
    @ApiModelProperty(value = "统计类型：0小时统计 1天统计 2月统计 3年统计")
    private String statisticsTypeName;
}
