package com.tofly.building.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.building.entity.BuildingReport;
import com.tofly.building.entity.dto.ScadaDeviceArchiveManageDto;
import com.tofly.building.entity.vo.BuildReportVo;
import com.tofly.scada.entity.vo.TimeValueVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 楼栋用电用水报告(BuildingReport)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-03-17 09:16:32
 */
public interface BuildingReportMapper extends BaseMapper<BuildingReport> {


    /**
     * 查询范围时间统计数据
     * @param wrapper 查询wrapper
     * @return 查询范围时间统计数据
     */
    List<BuildReportVo> selectScadaByBuildId(@Param(Constants.WRAPPER) QueryWrapper<ScadaDeviceArchiveManageDto> wrapper);

    /**
     * 查询范围时间统计合计数据
     * @param wrapper 查询wrapper
     * @return 查询范围时间统计合计数据
     */
    List<BuildingReport> selectScadaStatByBuildId(@Param(Constants.WRAPPER) QueryWrapper<ScadaDeviceArchiveManageDto> wrapper);

    /**
     * 查询范围时间统计合计数据分组检测类型
     * @param wrapper 查询wrapper
     * @return 查询范围时间统计合计数据
     */
    List<BuildingReport> selectScadaStatGroupDetectionType(@Param(Constants.WRAPPER) QueryWrapper<ScadaDeviceArchiveManageDto> wrapper);

    /**
     * 根据时间查询漏损率
     * @param time 时间
     * @return
     */
    String selectDmaStats(String time);

    List<TimeValueVo> viewScadaDataGroupBuild(@Param("startDate") String startDate, @Param("endDate") String endDate, @Param("indexType") String indexType);

}

