package com.tofly.building.mapper;


import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.building.entity.dto.ScadaDeviceArchiveManageDto;
import org.apache.ibatis.annotations.Param;
import com.tofly.building.entity.ScadaAllocation;
import org.springframework.stereotype.Repository;

/**
 * 指标配置(Allocation)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-03-06 10:33:03
 */
public interface ScadaAllocationMapper extends BaseMapper<ScadaAllocation> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Allocation> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ScadaAllocation> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<Allocation> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<ScadaAllocation> entities);

    /**
     * 查询在线监控数据
     * @param deviceId 设备ID
     * @return 在线监控信息
     */
    List<ScadaAllocation> selectMonitorList(@Param("deviceId") Long deviceId);



    List<ScadaAllocation> selectListData(@Param(Constants.WRAPPER) QueryWrapper<ScadaDeviceArchiveManageDto> queryWrapper,
                                         @Param("tableName") String tableName);

    /**
     * 查询报警次数
     * @param code 指标
     * @param start 开始时间
     * @param end 结束时间
     * @return 次数
     */
    long scadaAlarmCount(@Param("code") String code,
                         @Param("start")Date start,
                         @Param("end") Date end);
}

