package com.tofly.building.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.building.entity.ScadaDeviceArchiveManage;
import com.tofly.building.entity.dto.ScadaDeviceArchiveManageDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2023/3/6
 */
public interface ScadaDeviceArchiveManageMapper extends BaseMapper<ScadaDeviceArchiveManage> {

    Page<ScadaDeviceArchiveManage> pageList(Page page,@Param(Constants.WRAPPER) LambdaQueryWrapper<ScadaDeviceArchiveManage> wrapper);
    List<ScadaDeviceArchiveManage> allList(@Param(Constants.WRAPPER) LambdaQueryWrapper<ScadaDeviceArchiveManage> wrapper);

    /**
     * 获取指标列表
     * @param manageDto 楼栋建筑绑定的指标集合
     * @return 获取指标列表
     */
    List<String> selectCodeByManage(@Param("manageDto") ScadaDeviceArchiveManageDto manageDto);

    /**
     * 获取指标列表
     * @param wrapper 楼栋建筑和设备绑定的指标集合
     * @return 获取指标列表
     */

    List<String> selectCodesByManageAndBuilding(@Param(Constants.WRAPPER) QueryWrapper<ScadaDeviceArchiveManageDto> wrapper);

    List<ScadaDeviceArchiveManage> selectDeviceArchiveManageList(@Param(Constants.WRAPPER) QueryWrapper<ScadaDeviceArchiveManageDto> wrapper);

}
