package com.tofly.building.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.building.entity.BuildingCollege;
import com.tofly.building.entity.dto.BuildingCollegeDto;

import com.tofly.building.utils.OrderItem;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * 学院机构管理(BuildingCollege)表服务接口
 *
 * @author HaiQiu
 * @since 2023-02-28 11:26:58
 */
public interface BuildingCollegeService extends IService<BuildingCollege> {

    /**
     * 根据ID查询
     *
     * @param id id
     * @return 数据
     */
    BuildingCollege get(Serializable id);

    /**
     * 新增
     *
     * @param buildingCollegeDto 实体
     */
    void insert(BuildingCollegeDto buildingCollegeDto);

    /**
     * 修改
     *
     * @param buildingCollegeDto 实体
     */
    void edit(BuildingCollegeDto buildingCollegeDto);

    /**
     * 批量删除
     *
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     *
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     *
     * @param page            分页
     * @param buildingCollege 查询wrapper
     * @return 数据集合
     */
    Page<BuildingCollege> pageList(Page page, BuildingCollege buildingCollege);

    /**
     * 数据导出
     *
     * @param page            分页
     * @param buildingCollege 查询模型
     * @param isAll           是否导出全部数据，true是，false否（默认否）
     */
    void export(Page page, BuildingCollege buildingCollege, boolean isAll);

    /**
     * 查询所有数据
     *
     * @param buildingCollege 查询条件
     * @param orderItem 排序字段
     * @return 查询所有数据
     */
    List<BuildingCollege> allList(BuildingCollege buildingCollege, OrderItem orderItem);
}

