package com.tofly.building.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.building.entity.BuildingReportMouth;
import com.tofly.building.entity.dto.BuildingReportMouthDto;

import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * 楼栋用电用水报告月份表(BuildingReportMouth)表服务接口
 *
 * @author HaiQiu
 * @since 2023-03-20 09:51:11
 */
public interface BuildingReportMouthService extends IService<BuildingReportMouth> {

    /**
     * 根据ID查询
     *
     * @param id id
     * @return 数据
     */
    BuildingReportMouth get(Serializable id);

    /**
     * 新增
     *
     * @param buildingReportMouthDto 实体
     * @param files                  上传文件附件
     */
    void insert(BuildingReportMouthDto buildingReportMouthDto, List<MultipartFile> files);

    /**
     * 修改
     *
     * @param buildingReportMouthDto 实体
     * @param files                  上传文件附件
     */
    void edit(BuildingReportMouthDto buildingReportMouthDto, List<MultipartFile> files);

    /**
     * 批量删除
     *
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     *
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     *
     * @param page                分页
     * @param buildingReportMouth 查询wrapper
     * @return 数据集合
     */
    Page<BuildingReportMouth> pageList(Page page, BuildingReportMouth buildingReportMouth);

    /**
     * 数据导出
     *
     * @param page                分页
     * @param buildingReportMouth 查询模型
     * @param isAll               是否导出全部数据，true是，false否（默认否）
     */
    void export(Page page, BuildingReportMouth buildingReportMouth, boolean isAll);

    /**
     * 查询所有数据
     *
     * @param buildingReportMouth 查询条件
     * @return 查询所有数据
     */
    List<BuildingReportMouth> allList(BuildingReportMouth buildingReportMouth);
}

