package com.tofly.building.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.building.entity.ScadaAllocation;
import com.tofly.building.entity.dto.ScadaDeviceArchiveManageDto;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 指标配置(Allocation)表服务接口
 *
 * @author HaiQiu
 * @since 2023-03-06 10:33:04
 */
public interface ScadaAllocationService extends IService<ScadaAllocation> {

    /**
     * 查询scada数据
     * @param manageDto 查询参数
     * @param tableName 表名
     * @return
     */
    List<ScadaAllocation> listByDevice(ScadaDeviceArchiveManageDto manageDto,@NotNull String tableName);

    /**
     * 查询scada数据
     * @param manageDto 查询参数
     * @param tableName 表名
     * @param isAlarm 是否查询报警数据
     * @return
     */
    List<ScadaAllocation> listByDevice(ScadaDeviceArchiveManageDto manageDto,@NotNull String tableName,boolean isAlarm);
}

