/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.building.service;



import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.building.entity.BuildingReport;
import com.tofly.building.entity.ScadaDeviceArchiveManage;
import com.tofly.building.entity.dto.ScadaDeviceArchiveManageDto;
import com.tofly.building.entity.vo.BuildReportVo;
import com.tofly.building.entity.vo.SafeElectricityVo;
import com.tofly.building.entity.vo.ScadaScadaDeviceArchiveManageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 设备档案管理
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
public interface ScadaDeviceArchiveManageService extends IService<ScadaDeviceArchiveManage> {


    /**
     * 在线监控实时查询
     * @param page 分页
     * @param manageDto 查询参数
     * @return 分页数据
     */
    Page<ScadaScadaDeviceArchiveManageVo> pageList(Page page, ScadaDeviceArchiveManageDto manageDto);

    /**
     * 查询所有数据
     * @param manageDto 查询所有数据
     * @return 所有数据
     */
    List<ScadaDeviceArchiveManage> allListMonitor(ScadaDeviceArchiveManageDto manageDto);

    /**
     * 查询所有统计数据
     * @param manageDto 查询所有统计数据
     * @return 查询所有统计数据
     */
    List<ScadaDeviceArchiveManage>  allListStatistics(ScadaDeviceArchiveManageDto manageDto);
    /**
     * 查询所有历史数据
     * @param manageDto 查询所有历史数据
     * @return 查询所有历史数据
     */
    List<ScadaDeviceArchiveManage>  allListHistory(ScadaDeviceArchiveManageDto manageDto);

    /**
     * 查询所有报警数据
     * @param manageDto 查询所有报警数据
     * @return 查询所有报警数据
     */
    List<ScadaDeviceArchiveManage>  allListAlarm(ScadaDeviceArchiveManageDto manageDto);


    /**
     * 查询分页历史数据
     * @param manageDto 查询分页历史数据
     * @return 查询分页历史数据
     */
    Page<ScadaDeviceArchiveManage> pageListHistory(Page page, ScadaDeviceArchiveManageDto manageDto);

    /**
     * 安全用电评比
     * @param manageDto 安全用电评比
     * @return 安全用电评比
     */
    List<SafeElectricityVo>  safeElectricity(ScadaDeviceArchiveManageDto manageDto);

    /**
     * 实时能耗分析
     * @param manageDto 查询参数
     * @return 实时能耗分析
     */
    Map<String,Object> analyse(ScadaDeviceArchiveManageDto manageDto);

    /**
     * 查询范围时间scada统计数据
     * @param manageDto 查询范围时间scada统计数据
     * @return 查询范围时间scada统计数据
     */
    Object selectScadaStatsByTime(ScadaDeviceArchiveManageDto manageDto);

    Object selectScadaCodes(ScadaDeviceArchiveManageDto manageDto);
}
