package com.tofly.building.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.building.entity.SyschildcodeD;
import com.tofly.building.entity.dto.SyschildcodeDDto;

import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * 系统通用码表子级表(SyschildcodeD)表服务接口
 *
 * @author HaiQiu
 * @since 2023-03-10 11:21:49
 */
public interface SyschildcodeDService extends IService<SyschildcodeD> {

    /**
     * 根据ID查询
     *
     * @param id id
     * @return 数据
     */
    SyschildcodeD get(Serializable id);

    /**
     * 新增
     *
     * @param syschildcodeDDto 实体
     */
    void insert(SyschildcodeDDto syschildcodeDDto);

    /**
     * 修改
     *
     * @param syschildcodeDDto 实体
     */
    void edit(SyschildcodeDDto syschildcodeDDto);

    /**
     * 批量删除
     *
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     *
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     *
     * @param page          分页
     * @param syschildcodeD 查询wrapper
     * @return 数据集合
     */
    Page<SyschildcodeD> pageList(Page page, SyschildcodeD syschildcodeD);

    /**
     * 数据导出
     *
     * @param page          分页
     * @param syschildcodeD 查询模型
     * @param isAll         是否导出全部数据，true是，false否（默认否）
     */
    void export(Page page, SyschildcodeD syschildcodeD, boolean isAll);

    /**
     * 查询所有数据
     *
     * @param syschildcodeD 查询条件
     * @return 查询所有数据
     */
    List<SyschildcodeD> allList(SyschildcodeD syschildcodeD);
}

