package com.tofly.building.utils;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author HaiQiu
 * @since 2023/3/23
 * 简单分页工具类
 */
public class PageUtils {

    /**
     * 当前页
     */
    @ApiModelProperty(value = "当前页，默认 1")
    protected long current = 1;

    /**
     * 每页显示条数，默认 10
     */
    @ApiModelProperty(value = "每页显示条数，默认 10")
    protected long size = 10;


    public long getCurrent() {
        return current;
    }

    public void setCurrent(long current) {
        if (current <= 0) {
            current = 1;
        }
        this.current = current;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        if (current <= 0) {
            current = 1;
        }
        this.size = size;
    }
}
