package com.tofly.building.xxljob.handle;

import com.tofly.building.service.BuildingReportService;
import com.tofly.scada.service.impl.ScadaServiceImpl;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.checkerframework.checker.units.qual.C;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Calendar;
import java.util.Date;

/**
 * @author HaiQiu
 * @since 2023/3/24
 */
@Component
public class WaterHandle {

    @Autowired
    private BuildingReportService buildingReportService;


    /**
     * 生成附件和数据库报告文件数据
     * @return
     */
    @XxlJob("createReport")
    public ReturnT<String> createReport(){
        buildingReportService.getReport(String.valueOf(new Date()), null);
        return ReturnT.SUCCESS;
    }

    /**
     * 能耗报告文档生成
     */
    @XxlJob("calReport")
    public ReturnT<String> calReport(String params){
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(new Date());
        calendar.add(Calendar.MONTH,-1);
        buildingReportService.calReport(String.valueOf(calendar.getTime()));
        return ReturnT.SUCCESS;
    }
}
