package com.tofly.scada.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author HaiQiu
 * @since 2023/4/15
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "stats.code.dict")
public class DictConfig {

    /**
     * 设备流量字典类型值
     */
    private String flow = "0";

    /**
     * 夜间最小流量/瞬时流量字典类型值
     */
    private String nightFlowAllIndex = "1";

    /**
     * 指标瞬时流量字典类型值
     */
    private String briefFlowAllIndex = "1";

    /**
     * 信号质量字典类型值
     */
    private String signalQuality = "4";

    /**
     * 逆向累计流量字典类型值
     */
    private String negCumFlow = "5";

    /**
     * 指标电压流量字典类型值
     */
    private String voltageFlowAllIndex = "4";
    /**
     * 压力字典类型值
     */
    private String pressure = "6";
    /**
     * 用电量字典类型值
     */
    private String electricAllIndex = "7";

    /**
     * 累计流量字典类型值
     */
    private String momentFlowAllIndex = "2";
}
