package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 监测数据实体类
 */
@Data
@TableName(value = "TF_SCADA_DEVICE_DATA")
public class DeviceData {

    /**
     * id
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    public Long id;

    /**
     * 设备唯一编号(必要)
     */
    public String device_id;

    /**
     * 数据接收时间(必要)
     */
    public String collect_time;

    /**
     * 数据产生时间
     */
    public String generation_time;

    /**
     * 甲烷浓度
     */
    public String ch4_concentration;

    /**
     * 湿度
     */
    public String humidity;

    /**
     * 压力
     */
    public String pressure;

    /**
     * 信号强度
     */
    public String signal_strength;

    /**
     * 环境温度/温度
     */
    public String ambient_temperature;

    /**
     * 电池电压
     */
    public String battery_voltage;

    /**
     * 空高
     */
    public String ullage;

    /**
     * 累计流量
     */
    public String cum_flows;

    /**
     * 累计流量次数
     */
    public String cum_flows_num;

    /**
     * 横滚角
     */
    public String roll_angle;

    /**
     * 俯仰角
     */
    public String angle_of_pitch;

    /**
     * 瞬时流量
     */
    public String instantaneous_flow;

    /**
     * 水位
     */
    public String water_levels;

    /**
     * 频率
     */
    public String frequency;

    /**
     * 表面流速
     */
    public String surface_velocity;

    /**
     * 瞬时流速
     */
    public String instantaneous_velocity;

    /**
     * 断面流速
     */
    public String cross_section_velocity;

    /**
     * 过水面积
     */
    public String cross_section_area;

    /**
     * 电池电量
     */
    public String battery_level;

    /**
     * 电流
     */
    public String current;

    /**
     * 电压
     */
    public String voltage;

    /**
     * 功率
     */
    public String power;

    /**
     * 浊度
     */
    public String turbidity;

    /**
     * 液位
     */
    public String liquid_level;

    /**
     * 余氯
     */
    public String residual_chlorine;

    /**
     * PH值
     */
    public String ph_value;

    /**
     * 阀门开度
     */
    public String opening_of_valve;

    /**
     * 积水深度
     */
    public String ponding_depth;

    /**
     * 水深
     */
    public String depth_of_water;

    /**
     * 材质温度
     */
    public String material_temperature;

    /**
     * 冻结累计流量
     */
    public String fre_cum_flows;
    /**
     * 冻结累计逆流量
     */
    public String fre_cum_neg_flows;

    /**
     * 冻结累计正流量
     */
    public String fre_cum_pos_flows;

    /**
     * 本周期累计流量
     */
    public String cyc_cum_flows;

    /**
     * 本周期累计逆流量
     */
    public String cyc_cum_neg_flows;

    /**
     * 本周期累计正流量
     */
    public String cyc_cum_pos_flows;

    /**
     * CCID号
     */
    public String ccid;

    /**
     * IMEI号
     */
    public String imei;

    /**
     * 程序版本号
     */
    public String program_version;

    /**
     * 硬件版本号
     */
    public String device_version;

    /**
     * 逆向累计流量
     */
    public String cum_neg_flows;

    /**
     * 正向累计流
     */
    public String cum_pos_flows;

    /**
     * 逆向累计流量次数
     */
    public String cum_neg_flows_num;

    /**
     * 正向累计流次数
     */
    public String cum_pos_flows_num;

    /**
     * 信号质量
     */
    public String signal_quality;

    /**
     * 信噪比
     */
    public String signal_noise_ratio;

    /**
     * 覆盖等级
     */
    public String coverage_level;

    /**
     * 地址
     */
    public String address;

    /**
     * 时钟
     */
    public String clock;

    /**
     * 终端序列号
     */
    public String terminal_number;

    /**
     * 1分钟雨量，单位：毫米（mm）
     */
    public String rainfall_minute_01;
    /**
     * 5分钟雨量，单位：毫米（mm）
     */
    public String rainfall_minute_05;
    /**
     * 10分钟雨量，单位：毫米（mm）
     */
    public String rainfall_minute_10;
    /**
     * 30分钟雨量，单位：毫米（mm）
     */
    public String rainfall_minute_30;
    /**
     * 1小时雨量，单位：毫米（mm）
     */
    public String rainfall_hour_01;
    /**
     * 2小时雨量，单位：毫米（mm）
     */
    public String rainfall_hour_02;
    /**
     * 3小时雨量，单位：毫米（mm）
     */
    public String rainfall_hour_03;
    /**
     * 6小时雨量，单位：毫米（mm）
     */
    public String rainfall_hour_06;
    /**
     * 12小时雨量，单位：毫米（mm）
     */
    public String rainfall_hour_12;
    /**
     * 水温，单位：摄氏度（℃）
     */
    public String water_temperature;
    /**
     * 溶解氧，单位：毫克每升（mg/L）
     */
    public String dissolved_oxygen;
    /**
     * 电导率，单位：微西门/cm（μS/cm）
     */
    public String electric_conductivity;
    /**
     * 高锰酸盐指数，单位：毫克每升（mg/L）
     */
    public String permanganate_index;
    /**
     * 氨氮，单位：毫克每升（mg/L）
     */
    public String ammonia_nitrogen;
    /**
     * 总磷，单位：毫克每升（mg/L）
     */
    public String total_phosphorus;
    /**
     * 总氮，单位：毫克每升（mg/L）
     */
    public String total_nitrogen;
    /**
     * 叶绿素a，单位：微克每升(μg/L)
     */
    public String chlorophyll_a;
    /**
     * 闸门开度，单位：米（m）
     */
    public String gatage;

    /**
     * 设备型号
     */
    public String device_model;
    /**
     * 最高水位，单位：米（m）
     */
    public String highest_water_levels;
    /**
     * 最低水位，单位：米（m）
     */
    public String lowest_water_levels;
    /**
     * 最高水位对应的时间
     */
    public String highest_water_levels_time;
    /**
     * 最低水位对应的时间
     */
    public String lowest_water_levels_time;
    /**
     * 每小时降雨量，单位：毫米（mm）
     */
    public String hourly_rainfall;
    /**
     * 暴雨加报降雨量，单位：毫米（mm）
     */
    public String rainstorm_rainfall;
    /**
     * 累计雨量，单位：毫米（mm）
     */
    public String cum_rainfall;
}
