package com.tofly.scada.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * 报警scada列表(ScadaAlarm)表实体类
 *
 * @author HaiQiu
 * @since 2023-03-29 17:49:29
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "TF_SCADA_ALARM", resultMap = "ScadaAlarmMap")
@ApiModel(value = "ScadaAlarm对象", description = "报警scada列表")
public class ScadaAlarm extends Model<ScadaAlarm> implements Serializable {

    private static final long serialVersionUID = 735047492765929565L;

    /**
     * ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "ID")
    @ApiModelProperty(value = "ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 指标ID
     */
    @Excel(name = "指标ID")
    @ApiModelProperty(value = "指标ID")
    private String allocationId;
    /**
     * 详细描述
     */
    @Excel(name = "详细描述")
    @ApiModelProperty(value = "详细描述")
    private String detail;
    /**
     * 消息通知模版
     */
    @Excel(name = "消息通知模版")
    @ApiModelProperty(value = "消息通知模版")
    private String msgTemplate;
    /**
     * 排序号
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "排序号")
    @ApiModelProperty(value = "排序号")
    private Long sort;
    /**
     * 是否报警,0否，1是
     */
    @Excel(name = "是否报警,0否，1是")
    @ApiModelProperty(value = "是否报警,0否，1是")
    private Integer report;
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "${column.comment}")
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(value = "${column.comment}")
    @Excel(name = "${column.comment}")
    private String createUserName;
    @Excel(name = "${column.comment}")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Excel(name = "${column.comment}")
    private Long updateUser;
    @TableField(exist = false)
    @ApiModelProperty(value = "${column.comment}")
    @Excel(name = "${column.comment}")
    private String updateUserName;
    @Excel(name = "${column.comment}")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 是否删除1删除；0未删除
     */
    @Excel(name = "是否删除1删除；0未删除")
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Boolean isDel;
    /**
     * scada采集时间
     */
    @Excel(name = "scada采集时间")
    @ApiModelProperty(value = "scada采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;
    /**
     * 指标值
     */
    @Excel(name = "指标值")
    @ApiModelProperty(value = "指标值")
    private String value;
    /**
     * 编码
     */
    @Excel(name = "编码")
    @ApiModelProperty(value = "编码")
    private String code;
}

