package com.tofly.scada.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * 存储历史值(ScadaHistory)表实体类
 *
 * @author HaiQiu
 * @since 2023-04-03 11:24:59
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@KeySequence(value = "SCADA_HISTORY")
@TableName(value = "SCADA_HISTORY", resultMap = "ScadaHistoryMap")
@ApiModel(value = "ScadaHistory对象", description = "存储历史值")
public class ScadaHistory extends Model<ScadaHistory> implements Serializable {

    private static final long serialVersionUID = -72437169083884867L;

    /**
     * 主键ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.INPUT)
    private Long id;
    /**
     * 指标编号
     */
    @Excel(name = "指标编号")
    @ApiModelProperty(value = "指标编号")
    private String code;
    /**
     * 采集值
     */
    @Excel(name = "采集值")
    @ApiModelProperty(value = "采集值")
    private String value;
    /**
     * Scada采集时间
     */
    @Excel(name = "Scada采集时间")
    @ApiModelProperty(value = "Scada采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;
    /**
     * 入库时间
     */
    @Excel(name = "入库时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ScadaHistory person = (ScadaHistory) o;
        return Objects.equals(code, person.code) &&
                Objects.equals(scadaTime, person.scadaTime);
    }

    @Override
    public int hashCode() {
        return Objects.hash(code, scadaTime);
    }
}

