/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;


/**
 * scada累计流量差值
 *
 * @author admin
 * @date Wed Sep 07 00:00:00 CST 2022
 */
@Data
@TableName(value = "SCADA_LJ_FLOW", resultMap = "scadaLjFlowMap")
@KeySequence("SCADA_LJ_FLOW_SEQ")
@ApiModel
public class ScadaLjFlow extends Model<ScadaLjFlow> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String code;
    /**
     * 监测时间
     */
    @ApiModelProperty(value = "监测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;
    /**
     * 当前监测值
     */
    @ApiModelProperty(value = "当前监测值")
    private BigDecimal newValue;
    /**
     * 上一次监测值
     */
    @ApiModelProperty(value = "上一次监测值")
    private BigDecimal oldValue;
    /**
     * 差值
     */
    @ApiModelProperty(value = "差值")
    private BigDecimal differenceValue;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ScadaLjFlow person = (ScadaLjFlow) o;
        return Objects.equals(code, person.code) &&
                Objects.equals(scadaTime, person.scadaTime);
    }

    @Override
    public int hashCode() {
        return Objects.hash(code, scadaTime);
    }

}
