package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author haiqiu
 */
@Data
@TableName(value = "SCADA_SYN_HIS", resultMap = "scadaSynHisMap")
@KeySequence("SCADA_SYN_HIS")
@ApiModel
public class ScadaSynHis implements Serializable {

    @ApiModelProperty(value = "同步的历史数据监测ID")
    private Long historyId;

    @ApiModelProperty(value = "是否同步(0未同步,1同步)")
    private String flag;

    @ApiModelProperty(value = "SCADA监测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
