package com.tofly.scada.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.scada.entity.ScadaAlarm;

/**
 * 报警scada列表(ScadaAlarm)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-03-29 17:49:29
 */
public interface ScadaAlarmMapper extends BaseMapper<ScadaAlarm> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaAlarm> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ScadaAlarm> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaAlarm> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<ScadaAlarm> entities);

}

