package com.tofly.scada.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.scada.entity.ScadaDeviceData;

/**
 * 物联网接入数据原始表(ScadaDeviceData)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-04-03 11:15:38
 */
public interface ScadaDeviceDataMapper extends BaseMapper<ScadaDeviceData> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaDeviceData> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ScadaDeviceData> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaDeviceData> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<ScadaDeviceData> entities);

}

