package com.tofly.scada.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.scada.entity.ScadaNoAlarm;
import com.tofly.scada.entity.vo.ScadaNoAlarmVo;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.scada.entity.ScadaNoAlarm;

/**
 * 不报警scada列表(ScadaNoAlarm)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-03-29 17:49:59
 */
@Mapper
public interface ScadaNoAlarmMapper extends BaseMapper<ScadaNoAlarm> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaNoAlarm> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ScadaNoAlarm> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaNoAlarm> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<ScadaNoAlarm> entities);

    List<Map<String, Object>> selectGroupByTimeCount(@Param("start") Date start,
                                                     @Param("end") Date end);

    List<Map<String, Object>> selectGroupByTimeDay(@Param("start") String start,
                                                   @Param("end") String end,
                                                   @Param("code") String code);

    List<Map<String, Object>> selectGroupNoByTimeDay(@Param("start") String start,
                                                   @Param("end") String end,
                                                   @Param("code") String code);

    List<Map<String, Object>> selectGroupByTimeHour(@Param("start") String start,
                                                   @Param("end") String end,
                                                   @Param("code") String code);

    List<Map<String, Object>> selectGroupNoByTimeHour(@Param("start") String start,
                                                     @Param("end") String end,
                                                     @Param("code") String code);

    List<Map<String, Object>> selectGroupByTimeMouth(@Param("start") String start,
                                                    @Param("end") String end,
                                                    @Param("code") String code);

    List<Map<String, Object>> selectGroupNoByTimeMouth(@Param("start") String start,
                                                      @Param("end") String end,
                                                      @Param("code") String code);
}
