package com.tofly.scada.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.scada.entity.Allocation;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.entity.ScadaSynHis;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zev
 */
@Mapper
public interface ScadaSynHisMapper extends BaseMapper<ScadaSynHis> {
    /**
     * 获取对应第三方同步指标列表
     * @param type
     * @return
     */
    List<String> getSynCodeList(@Param("type")String type);
    /**
     * 获取需要同步的监测数据列表
     * @param codes 同步的指标列表
     * @return
     */
    List<Scada> getScadaSynHisList(@Param("codes") List<String> codes);

    /**
     * 批量更新已同步数据
     * @param idList
     */
    void updateBatchSynFlag(@Param("idList")List<Long> idList);
}




