/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.scada.service.impl;

import cn.hutool.Hutool;
import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.asymmetric.Sign;
import cn.hutool.crypto.asymmetric.SignAlgorithm;
import cn.hutool.crypto.digest.HMac;
import cn.hutool.crypto.digest.MD5;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.entity.ScadaLjFlow;
import com.tofly.scada.entity.ScadaSynHis;
import com.tofly.scada.mapper.ScadaLjFlowMapper;
import com.tofly.scada.mapper.ScadaSynHisMapper;
import com.tofly.scada.service.ScadaLjFlowService;
import com.tofly.scada.service.ScadaSynHisService;
import com.tofly.scada.util.DateTimeUtil;
import com.tofly.scada.util.HttpClientUtil;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.*;
import java.util.stream.Collectors;


/**
 * 第三方同步记录
 *
 * @author admin
 * @date Wed Sep 07 00:00:00 CST 2022
 */
@Service("scadaSynHisService")
@Slf4j
public class ScadaSynHisServiceImpl extends ServiceImpl<ScadaSynHisMapper, ScadaSynHis> implements ScadaSynHisService {
    @Value("${syn.fn}")
    private String fn;

    @Value("${syn.fc}")
    private String fc;

    @Value("${syn.fh}")
    private String fh;

    @Value("${syn.userId}")
    private String userId;

    @Value("${syn.pc}")
    private String pc;

    @Value("${syn.url}")
    private String url;

    @Value("${syn.md5Key}")
    private String md5Key;

    @Value("${syn.type}")
    private String type;


    @Override
    public List<String> getSynCodeList(String type) {
        return baseMapper.getSynCodeList(type);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void synchronousThirdParty(List<String> codes) throws IOException {
        // 获取未同步监测数据
        List<Scada> scadaSynHisList = baseMapper.getScadaSynHisList(codes);
        // 封装第三方请求参数
        Map<String, Object> dataMap = new LinkedHashMap<>(12);
        dataMap.put("fn", fn);
        dataMap.put("fc", fc);
        dataMap.put("fh", fh);
        dataMap.put("jsondata", JSON.toJSONString(scadaSynHisList));
        dataMap.put("userid", userId);
        dataMap.put("pc", pc);
        long time = System.currentTimeMillis();
        dataMap.put("time",time);
        // 签名生成 sign=md5(fn&fc&fh&userid&pc&time&md5key);
        String md5Str = "fn=" + fn + "&" + "fc=" + fc + "&" + "fh=" + fh + "&" + "userid=" + userId + "&" + "pc=" + pc + "&" + "time=" + time + "&" + "key=" + md5Key;
        String md5 = HttpClientUtil.TraditionMd5(md5Str);
        dataMap.put("sign", md5);

            String result = HttpClientUtil.doPostJson(url, new HashMap<>(12), JSON.toJSONString(dataMap));
            JSONObject jsonObject = JSON.parseObject(result);
            Integer status = (Integer) jsonObject.get("status");
            if(1==status){
                // 批量更新推送数据同步状态
                List<Long> collect = scadaSynHisList.stream().map(Scada::getId).collect(Collectors.toList());
                if(collect.size()>0){
                    baseMapper.updateBatchSynFlag(collect);
                }
            }

    }

}
